Tags
Bulk create tags
Create multiple tags in a single request. Useful for importing a set of tags or setting up tag structures programmatically.
POST /v1/tags/bulk-create
Request body
Content-Type: application/json
(body)
array<string>
Example
[
"string"
]
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.tags
array<object> required
data.tags[].id
string (uuid) required
data.tags[].user_id
string
data.tags[].name
string
data.tags[]._count
object
data.tags[]._count.tags_contacts
integer
data.failed
array<object>
data.failed[].name
string
data.failed[].error
object
data.failed[].error.code
string
data.failed[].error.message
string
Example
{
"error": false,
"data": {
"tags": [
{
"id": "00000000-0000-0000-0000-000000000000"
}
]
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v1/tags/bulk-create \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '[
"string"
]'
fetch('https://api.prod.getdex.com/v1/tags/bulk-create', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
0: 'string'
})
})
requests.post(
"https://api.prod.getdex.com/v1/tags/bulk-create",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json=[
"string"
]
)

